# Record Class MVersion

java.lang.Object
java.lang.Record
com.io7m.montarre.api.MVersion

Record Components:
  `version` - The application version number
  `date` - The date the version was set

public record MVersion(com.io7m.verona.core.Version version, LocalDate date) extends Record
Version information.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MVersion(com.io7m.verona.core.Version version, LocalDate date)`
  Version information.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LocalDate`
  `date()`
  Returns the value of the `date` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `com.io7m.verona.core.Version`
  `version()`
  Returns the value of the `version` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MVersion

    public MVersion(com.io7m.verona.core.Version version, LocalDate date)
    Version information.
    Parameters:
      `version` - The application version number
      `date` - The date the version was set

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### version

    public com.io7m.verona.core.Version version()
    Returns the value of the `version` record component.
    Returns:
      the value of the `version` record component

  - ### date

    public LocalDate date()
    Returns the value of the `date` record component.
    Returns:
      the value of the `date` record component